/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from './ApiClient';
import PersonDto from './model/PersonDto';
import PetDto from './model/PetDto';
import PersonControllerApi from './api/PersonControllerApi';


/**
* JS API client generated by OpenAPI Generator.<br>
* The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
* <p>
* An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
* <pre>
* var OpenApiDefinition = require('index'); // See note below*.
* var xxxSvc = new OpenApiDefinition.XxxApi(); // Allocate the API class we're going to use.
* var yyyModel = new OpenApiDefinition.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
* and put the application logic within the callback function.</em>
* </p>
* <p>
* A non-AMD browser application (discouraged) might do something like this:
* <pre>
* var xxxSvc = new OpenApiDefinition.XxxApi(); // Allocate the API class we're going to use.
* var yyy = new OpenApiDefinition.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* </p>
* @module index
* @version v0
*/
export {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient,

    /**
     * The PersonDto model constructor.
     * @property {module:model/PersonDto}
     */
    PersonDto,

    /**
     * The PetDto model constructor.
     * @property {module:model/PetDto}
     */
    PetDto,

    /**
    * The PersonControllerApi service constructor.
    * @property {module:api/PersonControllerApi}
    */
    PersonControllerApi
};
